package com.lovenav.dao;

import com.lovenav.entity.UrlCateList;
import com.lovenav.entity.UrlList;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@Mapper
public interface UrlCateListDao {
    int deleteByPrimaryKey(Integer id);

    int insert(UrlCateList record);

    int insertSelective(UrlCateList record);

    UrlCateList selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UrlCateList record);

    int updateByPrimaryKey(UrlCateList record);



    public UrlCateList selectCateByNameAnduserId(@Param("name")String name, @Param("userId") int userId);


    public List<UrlCateList> selectUrListByUserId(Integer userId);
    public String selectUrListCateByUrlCateId(Integer cateId);

    public List<String> selectChildrenByCateId(Integer id);

}